Bug 220757 - Install via FTP fails on missing file filelists.xml.gz
Install via FTP fails on missing file filelists.xml.gz
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lumens
Depends On:
  Show dependency treegraph
Reported: 2006-12-25 17:10 EST by Bill Gradwohl
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-12 12:09:37 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Bill Gradwohl 2006-12-25 17:10:04 EST
Description of problem:
Doing an FTP install works fine up to the point where the the actual OS
installation really gets started. Looking at the FTP logs, the files 
/disc1/repodata/repomd.xml, /disc1/repodata/primary.xml.gz, and
/disc1/repodata/comps.xml are downloaded from the ftp site. Then a message pops
up saying that filelists.xml.gz can't be opened. That's true since it wasn't
downloaded from the ftp site.

Version-Release number of selected component (if applicable):

How reproducible:
Do an FTP install, pick minimal options and look at the FTP logs to determine
what the install asked for from the FTP server. Then you'll see it doesn't ask
for the file filelists.xml.gz, but tries to use it.

Steps to Reproduce:
1.Do an FTP install
Actual results:

Expected results:

Additional info:
Comment 1 Jeremy Katz 2007-01-03 13:54:08 EST
I think this got fixed up post FC6...
Comment 2 Chris Lumens 2007-01-04 16:18:25 EST
Yes, I believe this has been fixed.  Bill - can you please test with the devel
tree (note that there could be various other bugs you'll run into depending on
which day you test) and see if this is working better for you?  Alternatively,
you could wait until FC7test1 and see if it's better, though that leaves less
time to work up a fix if it's still broken.  Thanks.
Comment 3 Bill Gradwohl 2007-01-04 16:32:14 EST
I'm on the island of Roatan, Honduras, and downloading again would take a week
at least. Therefore, I can't run the test.
Comment 4 Chris Lumens 2007-01-26 14:28:06 EST
Just for clarification:  what sort of FTP install are you doing?  Are you
installing from a complete exploded tree in one directory, from a set of ISO
images over FTP, or what?
Comment 5 Bill Gradwohl 2007-02-12 10:52:21 EST
On a working box, I loop mounted the iso's where FTP had rights to allow access.
Then I created a boot CD for the install and started the install on a test box
and picked the FTP option to access the loop mounted iso's on the other box.

This is all per the examples given in the documentation. Nothing creative.
Comment 6 Chris Lumens 2007-02-12 12:09:37 EST
Looks like this method is working at least with Fedora 7 test 1.  We must have
fixed it sometime just after FC6 went out.  I know we fixed a bunch of things
regarding URL install methods.

Note You need to log in before you can comment on or make changes to this bug.